import { AxiosRequestConfig, AxiosStatic } from 'axios';
import { Joke } from './models/joke';
declare class DadJokes {
    private RAPIDAPIKEY;
    config: AxiosRequestConfig;
    axios: AxiosStatic;
    constructor(RAPIDAPIKEY: string);
    get authToken(): string;
    set authToken(newAuthToken: string);
    randomJokes(count?: number): Promise<Joke[]>;
    jokeById(_id: string): Promise<Joke>;
    jokeByType(type: string, limit?: number): Promise<Joke[]>;
    searchJoke(term: string): Promise<Joke[]>;
}
export default DadJokes;
